ServiceStatsMBean (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.mbean.ServiceStatsMBean interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.mbean
Interface ServiceStatsMBean

All Known Subinterfaces:
  ServiceServiceMBean

All Known Implementing Classes:
  ServiceService, ServiceStats

    public interface ServiceStatsMBean

`ServiceStatsMBean` TODO

Method Summary
`void` | `clearStatistics()`
`long` | `getAsyncEventsReceived()`
`long` | `getAsyncEventsSent()`
`long` | `getAverageExecutionTime()`
`long` | `getAverageQueueSize()`
`long` | `getExecutedEvents()`
`long` | `getExecutionErrors()`
`long` | `getFatalErrors()`
`long` | `getMaxExecutionTime()`
`long` | `getMaxQueueSize()`
`long` | `getMinExecutionTime()`
`long` | `getQueuedEvents()`
`long` | `getReplyToEventsSent()`
`long` | `getSyncEventsReceived()`
`long` | `getSyncEventsSent()`
`long` | `getTotalEventsReceived()`
`long` | `getTotalEventsSent()`
`long` | `getTotalExecutionTime()`

Method Detail

### clearStatistics

    void clearStatistics()

### getAverageExecutionTime

    long getAverageExecutionTime()

### getAverageQueueSize

    long getAverageQueueSize()

### getMaxQueueSize

    long getMaxQueueSize()

### getMaxExecutionTime

    long getMaxExecutionTime()

### getFatalErrors

    long getFatalErrors()

### getMinExecutionTime

    long getMinExecutionTime()

### getTotalExecutionTime

    long getTotalExecutionTime()

### getQueuedEvents

    long getQueuedEvents()

### getAsyncEventsReceived

    long getAsyncEventsReceived()

### getSyncEventsReceived

    long getSyncEventsReceived()

### getReplyToEventsSent

    long getReplyToEventsSent()

### getSyncEventsSent

    long getSyncEventsSent()

### getAsyncEventsSent

    long getAsyncEventsSent()

### getTotalEventsSent

    long getTotalEventsSent()

### getTotalEventsReceived

    long getTotalEventsReceived()

### getExecutedEvents

    long getExecutedEvents()

### getExecutionErrors

    long getExecutionErrors()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.